package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$22 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var6 = BigInteger.valueOf(1L);
      BigInteger var1 = SECNamedCurves.access$0("020A601907B8C953CA1481EB10512F78744A3205FD");
      byte[] var2 = Hex.decode("85E25BFE5C86226CDB12016F7553F9D0E693A268");
      BigInteger var3 = SECNamedCurves.access$0("040000000000000000000292FE77E70C12A4234C33");
      BigInteger var4 = BigInteger.valueOf(2L);
      ECCurve.F2m var5;
      ECCurve.F2m var10000 = var5 = new ECCurve.F2m;
      var10000.<init>(163, 3, 6, 7, var6, var1, var3, var4);
      ECPoint var7 = var10000.decodePoint(Hex.decode("0403F0EBA16286A2D57EA0991168D4994637E8343E3600D51FBC6C71A0094FA2CDD545B11C5C0C797324F1"));
      return new X9ECParameters(var5, var7, var3, var4, var2);
   }
}
